﻿local E, L, V, P, G = unpack(ElvUI);
local MyPluginName = "MOGUI"
local MOGUI = E:GetModule(MyPluginName);



function MOGUI:LoadMSBTProfile()
	
	MSBTProfiles_SavedVars["profiles"]["MOGUI"] = {
		["critFontName"] = "Florence Sans",
			["critOutlineIndex"] = 2,
			["creationVersion"] = "5.7.149",
			["events"] = {
				["INCOMING_HOT"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["INCOMING_HEAL_CRIT"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["INCOMING_HOT_CRIT"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["SELF_HOT_CRIT"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["SELF_HOT"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["INCOMING_HEAL"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["SELF_HEAL_CRIT"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["SELF_HEAL"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
			},
			["enableBlizzardDamage"] = false,
			["scrollAreas"] = {
				["Incoming"] = {
					["name"] = "Damage (Incoming)",
					["direction"] = "Up",
					["disabled"] = true,
					["offsetX"] = -250,
					["behavior"] = "MSBT_NORMAL",
					["offsetY"] = -300,
					["animationStyle"] = "Straight",
					["scrollHeight"] = 245,
				},
				["Outgoing"] = {
					["direction"] = "Up",
					["offsetX"] = 420,
					["behavior"] = "MSBT_NORMAL",
					["offsetY"] = -300,
					["animationStyle"] = "Straight",
					["scrollHeight"] = 245,
				},
				["Static"] = {
					["disabled"] = true,
				},
				["Custom1"] = {
					["offsetX"] = -459,
					["scrollHeight"] = 245,
					["name"] = "Healing (Incoming)",
					["offsetY"] = -300,
				},
				["Notification"] = {
					["disabled"] = true,
				},
			},
			["normalFontName"] = "Florence Sans",
			["enableBlizzardHealing"] = false,
			["normalOutlineIndex"] = 2,
		}
	MikSBT.Profiles.SelectProfile('MOGUI')
end